import { IonicEnvironment } from '@ionic/cli-utils';
import { StarterTemplate, StarterTemplateType } from '../definitions';
export declare function tarXvfFromUrl(url: string, destination: string, {progress}: {
    progress?: (loaded: number, total: number) => void;
}): Promise<void>;
export declare function isProjectNameValid(name: string): boolean;
/**
 * If project only contains files generated by GH, it’s safe.
 * We also special case IJ-based products .idea because it integrates with CRA:
 * https://github.com/facebookincubator/create-react-app/pull/368#issuecomment-243446094
 */
export declare function isSafeToCreateProjectIn(root: string): Promise<boolean>;
export declare function getStarterTemplateText(templateList: StarterTemplate[]): string;
export declare function getStarterTemplateTextList(templateList: StarterTemplate[]): string[];
export declare function getHelloText(): string;
export declare function patchPackageJsonForCli(env: IonicEnvironment, appName: string, starterType: StarterTemplateType, pathToProject: string): Promise<void>;
export declare function updatePackageJsonForCli(env: IonicEnvironment, appName: string, starterType: StarterTemplateType, pathToProject: string): Promise<void>;
export declare function createProjectConfig(appName: string, starterType: StarterTemplateType, pathToProject: string): Promise<void>;
export declare const STARTER_TYPES: StarterTemplateType[];
export declare const STARTER_TEMPLATES: StarterTemplate[];
